using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace RB_MES_APICore.Migrations
{
    /// <inheritdoc />
    public partial class updateInfoV2 : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.CreateTable(
                name: "r_ERPPutOperationAnchor",
                columns: table => new
                {
                    FID = table.Column<int>(type: "int", nullable: false)
                        .Annotation("SqlServer:Identity", "1, 1"),
                    FActionName = table.Column<string>(type: "nvarchar(80)", maxLength: 80, nullable: false),
                    FDocType = table.Column<string>(type: "nvarchar(80)", maxLength: 80, nullable: false),
                    FErpBillNo = table.Column<string>(type: "nvarchar(255)", maxLength: 255, nullable: false),
                    FOperation = table.Column<int>(type: "int", nullable: false),
                    FOperationResult = table.Column<int>(type: "int", nullable: false),
                    QUEUE_ID = table.Column<string>(type: "nvarchar(max)", nullable: false)
                },
                constraints: table =>
                {
                    table.PrimaryKey("PK_r_ERPPutOperationAnchor", x => x.FID);
                });
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropTable(
                name: "r_ERPPutOperationAnchor");
        }
    }
}
